# Execute relative rights profile

## Execute relative rights profile

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/relative-rights-profile`

This endpoint allows you to execute a relative rights profile.

#### Headers

| Name                                             | Type   | Description             |
| ------------------------------------------------ | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark>      | string | Your company's API key. |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token.   |

#### Request Body

| Name                                         | Type   | Description                        |
| -------------------------------------------- | ------ | ---------------------------------- |
| id<mark style="color:red;">\*</mark>         | int    | ID of the relative rights profile. |
| dealId<mark style="color:red;">\*</mark>     | int    | Deal ID.                           |
| catalogIds<mark style="color:red;">\*</mark> | int\[] | Array of catalog item IDs.         |

{% tabs %}
{% tab title="200 Relative rights executed successfully.  Use the GET /batch endpoint to retrieve the new records." %}

```json
{
    "batchId": 12000,
    "batchStatus": "Created"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/right/execute-relative-rights-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
